import React, { createContext, useContext, useEffect, useState } from 'react';
export var ReduxContext = createContext({});
export var Provider = function Provider(_ref) {
  var store = _ref.store,
      children = _ref.children;
  return React.createElement(ReduxContext.Provider, {
    value: store
  }, children);
};
export var useRedux = function useRedux() {
  var _useState = useState({}),
      state = _useState[0],
      setState = _useState[1];

  var context = useContext(ReduxContext);

  function handleChange() {
    setState(context.getState());
  }

  useEffect(function () {
    return context.subscribe(handleChange);
  }, [state]);
  return [state, context.dispatch];
};