"use strict";

exports.__esModule = true;
exports.useRedux = exports.Provider = exports.ReduxContext = void 0;

var _react = _interopRequireWildcard(require("react"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var ReduxContext = (0, _react.createContext)({});
exports.ReduxContext = ReduxContext;

var Provider = function Provider(_ref) {
  var store = _ref.store,
      children = _ref.children;
  return _react.default.createElement(ReduxContext.Provider, {
    value: store
  }, children);
};

exports.Provider = Provider;

var useRedux = function useRedux() {
  var _useState = (0, _react.useState)({}),
      state = _useState[0],
      setState = _useState[1];

  var context = (0, _react.useContext)(ReduxContext);

  function handleChange() {
    setState(context.getState());
  }

  (0, _react.useEffect)(function () {
    return context.subscribe(handleChange);
  }, [state]);
  return [state, context.dispatch];
};

exports.useRedux = useRedux;